Bug 151301 - CAN-2005-0468 env_opt_add() Buffer Overflow Vulnerability
CAN-2005-0468 env_opt_add() Buffer Overflow Vulnerability
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: telnet (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
impact=important,embargo=20050328,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 14:40 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 14:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-16 14:40:39 EST
The vulnerability specifically exists in the env_opt_add() function of telnet.c.
A buffer of a fixed size (256 bytes) is allocated to store the result of the
processing this function performs on network input. If this buffer is not large
enough to contain the string, the buffer is expanded by a further 256 bytes.
This size is sufficient for most well formed input, as the buffer passed as
input to the affected function is limited to the same size. However, due to the
way the telnet protocol escapes certain characters, it is possible to increase
the length of the output by including a large run of characters which need
escaping. This can allow the 256 byte input buffer to expand to a maximum of 512
bytes in the allocated storage buffer. If, after expanding the buffer by 256
bytes, the buffer is still not large enough to contain the input, a heap based
buffer overflow occurs, which is exploitable on at least some affected platforms.
Comment 1 Josh Bressers 2005-03-16 14:41:30 EST
This issue also affects RHEL2.1 and RHEL3
Comment 4 Josh Bressers 2005-03-28 13:25:08 EST
Lifting embargo
Comment 5 Josh Bressers 2005-03-28 14:49:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-327.html

Note You need to log in before you can comment on or make changes to this bug.